Bug 255721 - Review Request: ruby-rrdtool - RRDtool module for Ruby
Summary: Review Request: ruby-rrdtool - RRDtool module for Ruby
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: S.A. Hartsuiker
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-27 02:14 UTC by Jeroen van Meeuwen
Modified: 2008-09-10 06:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-24 14:09:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bob: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jeroen van Meeuwen 2007-08-27 02:14:55 UTC
Spec URL: http://kanarip.fedorapeople.org/ruby-rrdtool.spec
SRPM URL: http://kanarip.fedorapeople.org/ruby-rrdtool-0.6.0-1.fc7.src.rpm
Description: RRDtool library for Ruby

I packaged this tiny Ruby module in order to get puppet masters produce graphs representing what happens with the puppets.

Comment 1 Till Maas 2007-09-06 12:01:09 UTC
Please follow:
http://fedoraproject.org/wiki/Packaging/Ruby

There is something like this missing:
Requires: ruby(abi) = 1.8 
Name should be: ruby-RRDtool
Seems you should use in the beginning of the spec:
%{!?ruby_sitearch: %define ruby_sitearch %(ruby -rrbconfig -e 'puts
Config::CONFIG["sitearchdir"]')}
and %{ruby_sitearch} in %files

A Provide ruby(LIBRARY) = VERSION line is missing.
Maybe more, I just ran over the ruby guidelines.

Comment 2 David Lutterkort 2007-09-25 18:10:21 UTC
I'm happy to do the review as soon as the comments above have been addressed


Comment 3 Jason Tibbitts 2007-11-19 02:12:51 UTC
Any progress here?

Comment 4 Jeroen van Meeuwen 2007-12-09 00:18:01 UTC
Looks like I need to pay more attention to My Front Page and tweak my mail
filters ... Sorry guys.

Right now, libssl is preventing me from running another build but I'll get back
to this soon

Comment 5 Jason Tibbitts 2008-01-19 07:05:22 UTC
It may not be quite as quick but you can always do koji scratch builds to test
your packages:
  koji build --scratch dist-f9 ruby-rrdtool-0.6.0-1.fc7.src.rpm

Comment 6 Jeroen van Meeuwen 2008-02-16 00:42:40 UTC
Thanks for the tip but I still haven't been able to get it to actually work. I
wanted to do that before I continued with the packaging but I'm unable to.
Closing the review for now.

Comment 7 Jeroen van Meeuwen 2008-07-29 00:00:42 UTC
I've found some time and addressed the issues stated above. New SRPM and SPEC
are at:

SPEC: http://www.kanarip.com/custom/SPECS/ruby-RRDtool.spec
SRPM: http://www.kanarip.com/custom/el5/SRPMS/ruby-RRDtool-0.6.0-3.el5.src.rpm

Builds in koji (and logs):

dist-f8-updates-candidate:
http://koji.fedoraproject.org/koji/taskinfo?taskID=744434

dist-f9-updates-candidate:
http://koji.fedoraproject.org/koji/taskinfo?taskID=744439

dist-f10:
http://koji.fedoraproject.org/koji/taskinfo?taskID=744453

Comment 8 Jeroen van Meeuwen 2008-07-29 10:02:24 UTC
Confirmed to be working at http://puppetmanaged.org/rrd/ghandalf.kanarip.com/
(for example)

Comment 9 Jeroen van Meeuwen 2008-07-29 11:46:14 UTC
Mind that el5 doesn't need the patch and the el5.src.rpm does not build on
f{8,9,10}. This SRPM does (same SPEC file):

http://www.kanarip.com/custom/f10/SRPMS/ruby-RRDtool-0.6.0-3.fc10.src.rpm

Comment 10 S.A. Hartsuiker 2008-07-29 13:35:19 UTC
RPM Lint: just a warning about documentation
Package name: ruby-RRDtool
Spec file: ruby-RRDtool.spec
License: MIT
Actual License: MIT, but not included in rpm
%doc License: not included
Spec file language: english
Spec file readable: yes
Upstream source vs. used tarball: same
Compile and Build:
 - F-8: builds
 - F-9: builds
 - rawhide: builds
 - EL-5: builds

Applicable Package Guidelines: no documentation included

Locales: not aplicable
Shared libs: /usr/lib/ruby/site_ruby/1.8/`arch`-linux/RRDtool.so

Relocatable: no
Directory and file ownership: ok
No duplicate files in %files: ok
File Permissions: ok
Macro usage: ok
Code vs. Content: ok
(Large) Documentation: no documentation
%doc affecting runtime: not applicable
Header files in -devel package: not applicable
Static Libraries in -static package: not applicable
pkgconfig Requires: 
Library files: RRDtool.so
Devel requires base package: not applicable
.la libtool archives: not applicable
Duplicate ownership of files/directories: ok
Remove BuildRoot: no explicitly removed
UTF-8 filenames: none

My only "problem" is the absence of the README file, as it contains the license

Comment 11 Jeroen van Meeuwen 2008-07-29 15:43:04 UTC
Documentation now included:

New SPEC: http://www.kanarip.com/custom/SPECS/ruby-RRDtool.spec
New SRPM: http://www.kanarip.com/custom/f10/SRPMS/ruby-RRDtool-0.6.0-4.fc10.src.rpm

Comment 12 Jeroen van Meeuwen 2008-07-29 15:44:23 UTC
Setting correct flag since review is ongoing (?) package approved would be (+)

Comment 13 S.A. Hartsuiker 2008-07-29 16:24:55 UTC
Documentation has been added thus problem fixed.

Comment 14 S.A. Hartsuiker 2008-07-29 16:25:26 UTC
package approved.


Comment 15 Robert 'Bob' Jensen 2008-07-29 16:43:27 UTC
Good Review sahartsu.



Comment 16 Jeroen van Meeuwen 2008-07-29 16:46:30 UTC
New Package CVS Request
=======================
Package Name: ruby-RRDtool
Short Description: RRDtool lib for Ruby
Owners: kanarip
Branches: EL-5 F-8 F-9 devel
InitialCC: kanarip
Cvsextras Commits: yes


Comment 17 Mamoru TASAKA 2008-07-29 17:40:15 UTC
Some notes:

* On x86_64, %ruby_sitearch is /usr/lib64/ruby/site_ruby/1.8/x86_64-linux so
  This line
--------------------------------------------------------------------
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/ruby/site_ruby/1.8/i386-linux
--------------------------------------------------------------------
  is useless (and actually seems not needed as:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=745638

* I see test/ subdirectory. If some tests are available, please consider to create
  %check section and execute some tests on that section.

Comment 18 Jeroen van Meeuwen 2008-07-29 17:58:51 UTC
Fixed the mkdir

Not going to rake test for the following reasons:

- rubygem-hoe, needed for tests, is not available in EL-5.
- it fails anyway as it seems to be unmaintained code, we can try and solve it
after the review finishes as it is not a packaging issue.


Comment 19 Kevin Fenzi 2008-07-30 16:35:57 UTC
Some minor issues: 

- The URL appears to be wrong, it's just pointing to the top of rubyforge. 
- can you use %{?_smp_mflags} on your make here? 



Comment 20 Jeroen van Meeuwen 2008-07-31 13:39:09 UTC
Applied the cosmetic fixes to the spec at:

http://www.kanarip.com/custom/SPECS/ruby-RRDtool.spec

If you need me to rebuild and submit here let me know.

Comment 21 Kevin Fenzi 2008-08-05 16:34:43 UTC
cvs done. 

Just out of curiosity, whats the difference between this package and rrdtool-ruby? Just different bindings? Perhaps the two projects could work together someday?

Comment 22 S.A. Hartsuiker 2008-08-07 22:26:26 UTC
Near as I can tell, after looking at this a bit, is that ruby-rrdtool is based upon work of the original author of rrdtool-ruby.

Comment 23 Mamoru TASAKA 2008-08-13 11:05:27 UTC
Dear Hartsuiker:
Keep the assignee to the reviewer, please

Comment 24 Fedora Update System 2008-08-23 18:27:05 UTC
ruby-RRDtool-0.6.0-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ruby-RRDtool-0.6.0-6.fc9

Comment 25 Fedora Update System 2008-08-23 18:27:08 UTC
ruby-RRDtool-0.6.0-6.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/ruby-RRDtool-0.6.0-6.fc8

Comment 26 Fedora Update System 2008-09-10 06:34:08 UTC
ruby-RRDtool-0.6.0-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2008-09-10 06:52:08 UTC
ruby-RRDtool-0.6.0-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.